--- ./LoRaWAN/Target/radio_board_if.h	2021-12-09 23:54:32.337619631 +0100
+++ /home/oliv/Documents/Programmation/STM32CubeMX/RAK3172-cubeMx-LoRaWAN_app/LoRaWAN/Target/radio_board_if.h	2021-09-27 22:21:51.676800631 +0200
@@ -49,7 +49,7 @@
 #define RBI_CONF_RFO_LP     1
 #define RBI_CONF_RFO_HP     2
 /* USER CODE BEGIN Board Definition_2 */
-
+#define RAK3172_RF_CHANNEL_SWITCH  1
 /* USER CODE END Board Definition_2 */
 #endif  /* USE_BSP_DRIVER  */
 
@@ -90,7 +90,17 @@
 
 #else
 /* USER CODE BEGIN Exported PinMapping */
-#warning user to provide its board definitions pins
+#if defined(RAK3172_RF_CHANNEL_SWITCH)
+  #define RF_SW_CTRL1_PIN                          GPIO_PIN_8
+  #define RF_SW_CTRL1_GPIO_PORT                    GPIOB
+  #define RF_SW_CTRL1_GPIO_CLK_ENABLE()            __HAL_RCC_GPIOB_CLK_ENABLE()
+  #define RF_SW_CTRL1_GPIO_CLK_DISABLE()           __HAL_RCC_GPIOB_CLK_DISABLE()
+
+  #define RF_SW_CTRL2_PIN                          GPIO_PIN_13
+  #define RF_SW_CTRL2_GPIO_PORT                    GPIOC
+  #define RF_SW_CTRL2_GPIO_CLK_ENABLE()            __HAL_RCC_GPIOC_CLK_ENABLE()
+  #define RF_SW_CTRL2_GPIO_CLK_DISABLE()           __HAL_RCC_GPIOC_CLK_DISABLE()
+#endif
 /* USER CODE END Exported PinMapping */
 #endif  /* USE_BSP_DRIVER  */
 
